AsterNet Class Library (Sandcastle documentation)

| AgentCallbackLoginAction Class

The AgentCallbackLoginAction sets an agent as logged in with callback.
You can pass an extentsion (and optionally a context) to specify the destination of the callback.
In contrast to the AgentCallbackLogin application that you can use within Asterisk's dialplan, you don't need to know the agent's password when logging in an agent.
Available since Asterisk 1.2
Inheritance Hierarchy
System
Object
AsterNET.Manager.Action
ManagerAction
AsterNET.Manager.Action
AgentCallbackLoginAction

Namespace: AsterNET.Manager.Action
Assembly: AsterNET (in AsterNET.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy

    public class AgentCallbackLoginAction : ManagerAction

    Public Class AgentCallbackLoginAction
    	Inherits ManagerAction

    public ref class AgentCallbackLoginAction : public ManagerAction

    type AgentCallbackLoginAction =
        class
            inherit ManagerAction
        end

The AgentCallbackLoginAction type exposes the following members.

Constructors

| Name | Description
--- | --- | ---
| AgentCallbackLoginAction | Creates a new empty AgentCallbackLoginAction.
| AgentCallbackLoginAction(String, String) | Creates a new AgentCallbackLoginAction, that logs in the given agent at the given callback extension.
| AgentCallbackLoginAction(String, String, String) | Creates a new AgentCallbackLoginAction, that logs in the given agent at the given callback extension in the given context.

Top
Methods

| Name | Description
--- | --- | ---
| Equals | Determines whether the specified Object is equal to the current Object. (Inherited from Object.)
| Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
| GetHashCode | Serves as a hash function for a particular type. (Inherited from Object.)
| GetType | Gets the Type of the current instance. (Inherited from Object.)
| MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
| ToString | (Inherited from ManagerAction.)

Top
Properties

| Name | Description
--- | --- | ---
| AckCall | Get/Set if an acknowledgement is needed when agent is called back. true if acknowledgement by '#' is required when agent is called back, false otherwise. This property is optional, it allows you to override the defaults defined in Asterisk's configuration.
| Action | Get the name of this action, i.e. "AgentCallbackLogin". (Overrides ManagerAction Action.)
| ActionId | (Inherited from ManagerAction.)
| Agent | Get/Set the name of the agent to log in, for example "1002". This is property is mandatory.
| Context | Get/Set the context of the extension to use for callback.
| Exten | Get/Set the extension to use for callback. This is property is mandatory.
| ProxyKey | You can use this as a simple authentication mechanism. Rather than have to login with a username & password, you can specify a ProxyKey that must be passed from a client before requests are processed. This is helpful in situations where you would like to authenticate and execute an action in a single step. (Inherited from ManagerAction.)
| Server | Specify a server to which to send your commands (x.x.x.x or hostname). This should match the server name specified in your config file's "host" entry. If you do not specify a server, the proxy will pick the first one it finds -- fine in single-server configurations. (Inherited from ManagerAction.)
| WrapupTime | Returns the minimum amount of time (in milliseconds) after disconnecting before the caller can receive a new call. This property is optional, it allows you to override the defaults defined in Asterisk's configuration.

Top
See Also

#### Reference

AsterNET.Manager.Action Namespace